# DarContact: Dag Wieers <dag@wieers.com>

Summary: A tray applet for changing network proxy configuration.
Name: proxy-applet
Version: 0.2.2
Release: 0
License: GPL
Group: Applications/System
URL: http://dag.wieers.com/home-made/gnome-applets/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://dag.wieers.com/home-made/gnome-applets/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/root-%{name}-%{version}
Prefix: %{_prefix}

BuildRequires: mono, gtk-sharp
### FIXME: gtk-sharp needs gtk2/gnome2 *.so files and libegg from switcher
Requires: mono, gtk-sharp, gtk2-devel, libgnomeui-devel, GConf2-devel, switcher

%description
Proxy-applet is a tray applet for changing your network proxy configuration.

%prep
%setup

echo -e "#!/bin/sh\nexec %{_bindir}/proxy-applet.exe \$@" > proxy-applet.sh

%{__cat} <<EOF >gnome-%{name}.desktop
[Desktop Entry]
Name=Proxy Network applet
Comment=%{summary}
Icon=proxy-applet.png
Exec=%{name}
Terminal=false
Type=Application
EOF

%build
%{__make} clean all %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall

%{__install} -d -m0755 %{buildroot}%{_datadir}/applications
desktop-file-install --vendor gnome                \
	--add-category X-Red-Hat-Base              \
	--add-category Application                 \
	--add-category System                      \
	--add-category Utility                     \
	--dir %{buildroot}%{_datadir}/applications \
	gnome-%{name}.desktop
%{__install} -m0755 proxy-applet.sh %{buildroot}%{_bindir}/proxy-applet

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING COPYRIGHT README TODO
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*

%changelog
* Sat Jun 21 2003 Dag Wieers <dag@wieers.com> - 0.2.2-0
- Updated to release 0.2.2.

* Sun Jun 15 2003 Dag Wieers <dag@wieers.com> - 0.2.1-0
- Updated to release 0.2.1.

* Sat Jun 14 2003 Dag Wieers <dag@wieers.com> - 0.2-0
- Initial package. (using DAR)
